﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Shapes;

namespace WifiLocator
{
    public class Wall
    {

        public Wall(Material m, int x1, int y1, int x2, int y2, int depth) {
            this.Material = m;
            this.Depth = depth;
            this.Point1 = new Point(x1, y1);
            this.Point2 = new Point(x2, y2);
        }

        public void display(Canvas canvas, double meritko, double posunX, double posunY) {
            Line line = new Line();
            BrushConverter bc = new BrushConverter();
            line.Stroke = (Brush)bc.ConvertFrom(this.Material.Color);
            line.X1 = (Point1.X * meritko) + posunX;
            line.X2 = (Point2.X * meritko) + posunX;
            line.Y1 = (Point1.Y * meritko) + posunY;
            line.Y2 = (Point2.Y * meritko) + posunY;
            line.StrokeThickness = Depth * meritko;
            canvas.Children.Add(line);
        }

        Material Material { get; set; }

        Point Point1 { get; set; }

        Point Point2 { get; set; }

        int Depth { get; set; }
    }
}
