---------------------------------------------------
SSID        = "Diplomka"
PASSWORD    = "diplomka12345"

SERVER      = "10.0.0.100"
PORT        = 1100

ID          = 1
---------------------------------------------------
-- print AP list in old format (format not defined)
function listap(t)
    data = ID.."["
    for k,v in pairs(t) do
        data = data .. k.."("..v..");"
    end
    data = data .. "]"
    send(data)
end
function connect(ssid, pwd)
    print("")
    print("Connecting to "..ssid)
    wifi.setmode(wifi.STATION)
    wifi.sta.config(ssid, pwd)
end
function disconnect()
    wifi.sta.disconnect()
    socket:close()
    print("disconnected")
end
index = 0
function printAP()
    index = index + 1
    wifi.sta.getap(listap)
end
function send(data)
    print(data)
    socket:send(data)
end

connect(SSID,PASSWORD)
print("Connecting to WiFi: "..SSID)

sec = 0
-- socket
socket = net.createConnection(net.TCP, 0)
socket:on("receive",function(sck,c)
    if c=="STOP" then
        print("STOPED")
        tmr.stop(2)
    elseif c=="RESET" then
        node.restart()
    else
        print(c)
    end
end)
socket:on("connection", function(sck, c)
    print("Connected!")
    print("You have 10 seconds to abort")
    print("Waiting...")
    tmr.alarm(2, 10000, 1, printAP)
end)
-- pripojeni k AP
tmr.alarm(1, 1000, 1, function()
    if wifi.sta.getip() == nil then
        sec = sec + 1
        print("Waiting for IP address... ".."("..sec.." s)")
    else
        tmr.stop(1)
        print("")
        print("---------------------------------------------------------------")
        print("WiFi connection established, IP address: " .. wifi.sta.getip())
        print("Connecting to server:" .. SERVER ..":"..PORT)
        socket:connect(PORT,SERVER)
    end
end)
